PHP Handbuch
Zurück |  | Weiter

# ps_setmiterlimit

(PECL)

ps_setmiterlimit -- Sets the miter limit

## Beschreibung

bool ps_setmiterlimit ( resource psdoc, float value )

If two lines join in a small angle and the line join is set to `PS_LINEJOIN_MITER`, then the resulting spike will be very long. The miter limit is the maximum ratio of the miter length (the length of the spike) and the line width.

## Parameter Liste

`psdoc`

  Resource identifier of the postscript file as returned by ps_new().

`value`

  The maximum ratio between the miter length and the line width. Larger values (> 10) will result in very long spikes when two lines meet in a small angle. Keep the default unless you know what you are doing.

## Rückgabewerte

Gibt bei Erfolg `TRUE` zurück, im Fehlerfall `FALSE`.

## Siehe auch

ps_setlinecap()
ps_setlinejoin()
ps_setlinewidth()

Zurück | Zum Anfang | Weiter
ps_setlinewidth | Nach oben | ps_setoverprintmode